<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('campaign_events', function (Blueprint $table) {
            $table->string('reason', 512)->nullable()->after('url');
        });
    }

    public function down(): void
    {
        Schema::table('campaign_events', function (Blueprint $table) {
            $table->dropColumn('reason');
        });
    }
};
